<template>
  <q-layout view="hHh lpR fFf" role="region" aria-label="XBRL Taxonomy viewer">

    <AppHeader :dts_name="dts_name" :dts_nice_name="dts_nice_name" :nt_version="nt_version"></AppHeader>

    <div class="custom__listview">
      <AssertionList :dts_name="dts_name" :nt_version="nt_version"></AssertionList>
    </div>


    <q-page-container class="sidebar__padding">
      <router-view/>
    </q-page-container>

    <q-footer bordered class="bg-primary text-white" role="region" aria-label="Footer">
      <q-toolbar>
        <q-toolbar-title class="absolute-bottom-left q-mr-md q-mb-sm footer full-width row">
          <div class="footer__help q-pl-md cursor-pointer col-2">
            <q-icon size="lg" name="help_outline"
                    @click="open_help()"></q-icon>
          </div>
          <div class="col-9" style="margin-bottom: -5px;">
            <EntrypointChooser :current_dts_name="dts_name" :current_nt_version="nt_version"></EntrypointChooser>
          </div>
          <div class="col-1">
          </div>
        </q-toolbar-title>
      </q-toolbar>
    </q-footer>
  </q-layout>
</template>

<script>
import {api} from 'boot/axios'
import AssertionList from "components/AssertionList";
import Help from "layouts/Help";
import EntrypointChooser from "components/EntrypointChooser";
import AppHeader from "components/AppHeader";


export default {
  name: "AssertionViewer.vue",
  components: {AppHeader, EntrypointChooser, AssertionList},
  mounted() {
    this.get_dts_nice_name()
    document.title = "Assertions - XBRL Taxonomy viewer"
  },
  props: {
    dts_name: String,
    nt_version: String
  },
  data: function () {
    return {dts_nice_name: null, hide_help: "hidden"}
  },
  methods: {
    open_help: function () {
      window.open('/docs/vw-formulas/', 'help-window', 'width=980, height=1020')
    },
    get_dts_nice_name: function () {
      api
        .get("/dts/" + this.dts_name + "/nice_name", {params: {nt_version: this.nt_version}})
        .then(response => {
          this.dts_nice_name = response.data.dts_nice_name
        })
        .catch((error) => {
          this.dts_nice_name = "[**entrypoint not found**]"
        })
    }
  }
}
</script>

<style scoped lang="scss">

.custom__listview {
  position: fixed;
  top: 99px;
  width: 20%;
}

.sidebar__padding {
  padding-left: 20%;
}

.ep_info {
  display: inline-block;
  margin-left: 30px;
  color: $primary;
  background-color: $lime-1;
  font-size: smaller;
  margin-bottom: -10px;
  border-radius: 5px;
}

.decorator {
  display: inline-block;
}

</style>
